Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.0.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.xmp.schemas.pdf
Class XAPMMAdapter

    java.lang.Object
      org.apache.xmlgraphics.xmp.XMPSchemaAdapter
          org.apache.xmlgraphics.xmp.schemas.pdf.XAPMMAdapter

    public class XAPMMAdapter

extends XMPSchemaAdapter

Field Summary

Fields inherited from class org.apache.xmlgraphics.xmp.XMPSchemaAdapter
`meta`

Constructor Summary
`XAPMMAdapter(Metadata meta, String namespace)` Constructs a new adapter for XAP MM around the given metadata object.

Method Summary
`void` | `setDocumentID(String v)`
`void` | `setInstanceID(String v)`
`void` | `setRenditionClass(String c)` The rendition class name for this resource.
`void` | `setVersion(String v)`

Methods inherited from class org.apache.xmlgraphics.xmp.XMPSchemaAdapter
`addDateToSeq, addObjectToArray, addStringToBag, addStringToSeq, findQualifiedStructure, findQualifiedValue, formatISO8601Date, formatISO8601Date, getDateArray, getDateValue, getLangAlt, getObjectArray, getQName, getSchema, getStringArray, getValue, removeLangAlt, removeStringFromArray, setDateValue, setLangAlt, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XAPMMAdapter

    public XAPMMAdapter(Metadata meta,
                        String namespace)

  Constructs a new adapter for XAP MM around the given metadata object.

  Parameters:
    `meta` - the underlying metadata
    `namespace` - the namespace to access the schema (must be one of the PDF/VT schema namespaces)

Method Detail

### setVersion

    public void setVersion(String v)

### setRenditionClass

    public void setRenditionClass(String c)

  The rendition class name for this resource.

  Parameters:
    `c` - the value

### setInstanceID

    public void setInstanceID(String v)

### setDocumentID

    public void setDocumentID(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.0.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.